import { BaseMock } from 'typescript-helper-functions';
/**
 * SQS Mock class
 */
export declare class SQSMock extends BaseMock {
    /**
     * Mocks an AWS.SQS.CreateQueueResult response
     */
    CreateQueueResult: AWS.SQS.CreateQueueResult;
    /**
     * Mocks an AWS.SQS.DeleteMessageOutput response
     * Technically doesn't exist
     */
    DeleteMessageOutput: object;
    /**
     * Mocks an AWS.SQS.DeleteMessageBatchResult response
     */
    DeleteMessageBatchResult: AWS.SQS.DeleteMessageBatchResult;
    /**
     * Mocks an AWS.SQS.DeleteQueueResult response
     * Technically doesn't exist
     */
    DeleteQueueResult: object;
    /**
     * Mocks an AWS.SQS.DeleteMessageBatchResult response
     */
    GetQueueAttributesResult: AWS.SQS.GetQueueAttributesResult;
    /**
     * Mocks an AWS.SQS.PurgeQueueResult response
     * Technically doesn't exist
     */
    PurgeQueueResult: object;
    /**
     * Mocks an AWS.SQS.ReceiveMessageResult
     */
    ReceiveMessageResult: AWS.SQS.ReceiveMessageResult;
    /**
     * Mocks an AWS.SQS.SendMessageResult
     */
    SendMessageResult: AWS.SQS.SendMessageResult;
    /**
     * Mocks an AWS.SQS.SendMessageBatchResult
     */
    SendMessageBatchResult: AWS.SQS.SendMessageBatchResult;
    /**
     * Create the SQS mock
     */
    protected CreateMock(returnError: boolean): any;
}
